//   RW Thread
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/thread.cpp
// -Definitions of the baseline RW Thread sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Thread_b::Thread_b() : Thread_b{"thread_b_obj"} {}

//------------------------------------------------------------------------------
Thread_b::Thread_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Thread::Thread() : Thread{"thread_obj"} {}

//------------------------------------------------------------------------------
Thread::Thread(std::string const& handle) : Thread_b{handle} {}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
