//   RW Curator
// ==============
// Search, Information, and Data Storage, Retrieval, & Optimizations Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/curator.cpp
// -Definitions of the baseline RW Curator library

#pragma once

#include "incls_all.hpp"

namespace rw::curator {

//------------------------------------------------------------------------------
Curator_b::Curator_b() : Curator_b{"curator_b_obj"} {}

//------------------------------------------------------------------------------
Curator_b::Curator_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Curator::Curator() : Curator{"curator_obj"} {}

//------------------------------------------------------------------------------
Curator::Curator(std::string const& handle) : Curator_b{handle} {}

}  // namespace rw::curator

//    --=^=--

// "______"

// rw_curator_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
