//   RW Action!
// ==============
// Motion-Scripting, Storyboard, Previz, and Scene Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/action/action.hpp
// -Declarations of the baseline RW Action! library

#pragma once

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
class Action_b : public RW {
 public:
  Action_b();                                    // default ctor
  explicit Action_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Action : public Action_b {
 public:
  Action();                                    // default ctor
  explicit Action(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::action

//    --=^=--

// "______"

// rw_action_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
