// RW Bumpmaster
// ==============
// Imageboard Retrieval & Archiving Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/bumpmaster/bumpmaster_sb.hpp
// -Alias switchboard for the baseline RW Bumpmaster sub-library

#pragma once

// clang-format off
namespace rw::curator::bumpmaster  { class Bumpmaster; }
namespace rw::curator::bumpmaster  { class Bumpmaster_b; }
namespace rw::curator::bumpmaster  { class Catalog; }
namespace rw::curator::bumpmaster  { class Catalog_b; }
namespace rw::curator::bumpmaster  { class Page; }
namespace rw::curator::bumpmaster  { class Page_b; }
namespace rw::curator::bumpmaster  { class Post; }
namespace rw::curator::bumpmaster  { class Post_b; }
namespace rw::curator::bumpmaster  { class Thread; }
namespace rw::curator::bumpmaster  { class Thread_b; }
// clang-format on
//
using rw::curator::bumpmaster::Bumpmaster;
using rw::curator::bumpmaster::Bumpmaster_b;
using rw::curator::bumpmaster::Catalog;
using rw::curator::bumpmaster::Catalog_b;
using rw::curator::bumpmaster::Page;
using rw::curator::bumpmaster::Page_b;
using rw::curator::bumpmaster::Post;
using rw::curator::bumpmaster::Post_b;
using rw::curator::bumpmaster::Thread;
using rw::curator::bumpmaster::Thread_b;

//    --=^=--

// "______"

// rw_curator_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
