//    RW Curly
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/wired/curly.hpp
// -Declarations of the baseline RW Curly sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::wired {

//------------------------------------------------------------------------------
class Curly_b : public RW {
 public:
  Curly_b();                                    // default ctor
  explicit Curly_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Curly : public Curly_b {
 public:
  Curly();                                    // default ctor
  explicit Curly(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::wired

//    --=^=--

// "______"

// rw_wired_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
