//    RW Wired
// ==============
// Networking, RF Signaling, and Digital Communications Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/wired/wired_sb.hpp
// -Alias switchboard for the baseline RW Wired library

#pragma once

// clang-format off
namespace rw::wired  { class Curly; }
namespace rw::wired  { class Curly_b; }
namespace rw::wired  { class Wired; }
namespace rw::wired  { class Wired_b; }
// clang-format on
//
using rw::wired::Curly;
using rw::wired::Curly_b;
using rw::wired::Wired;
using rw::wired::Wired_b;

//    --=^=--

// "______"

// rw_wired_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
