//   RW Electro
// ==============
// Digital & Electronics, Power, and Sensors Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/electro/electro.cpp
// -Definitions of the baseline RW Electro library

#include "incls_all.hpp"

namespace rw::electro {

//------------------------------------------------------------------------------
Electro_b::Electro_b() : Electro_b{"electro_b_obj"} {}

//------------------------------------------------------------------------------
Electro_b::Electro_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Electro::Electro() : Electro{"electro_obj"} {}

//------------------------------------------------------------------------------
Electro::Electro(std::string const& handle) : Electro_b{handle} {}

}  // namespace rw::electro

//    --=^=--

// "Now be careful. If you go for a full charge, it can get up there."

// rw_electro_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
