//  RW Foundations
// ================
// The RW Foundational Libraries

// Filename: ./src/srcs_all.cpp
// -The following lines pull in the project's real *.cpp files.
// -note: this file also acts as a location for a few utility features

#include "rw/rw_srcs_all.cpp"

#include "action/action_srcs_all.cpp"
#include "animeyes/animeyes_srcs_all.cpp"
#include "arigato/arigato_srcs_all.cpp"
#include "atashi/atashi_srcs_all.cpp"
#include "bones/bones_srcs_all.cpp"
#include "chibitsu/chibitsu_srcs_all.cpp"
#include "curator/curator_srcs_all.cpp"
#include "dollhouse/dollhouse_srcs_all.cpp"
#include "electro/electro_srcs_all.cpp"
#include "gears/gears_srcs_all.cpp"
#include "graphicom/graphicom_srcs_all.cpp"
#include "hearsay/hearsay_srcs_all.cpp"
#include "meido/meido_srcs_all.cpp"
#include "shell/shell_srcs_all.cpp"
#include "wired/wired_srcs_all.cpp"

//------------------------------------------------------------------------------

#include "incls_all.hpp"

//------------------------------------------------------------------------------
void prt_tag(Tip const& tip, std::string const& msg) {
  printf("%s - {%s.%lu}        \taddr: %lx\n",  //
         msg.c_str(),                           //
         tip.hdl.c_str(),                       //
         tip.id,                                //
         (unsigned long)tip.ptr);
}

//------------------------------------------------------------------------------
bool operator==(Tip const& tip_a, Tip const& tip_b) {
  return (tip_a.id == tip_b.id) &&    //
         (tip_a.ptr == tip_b.ptr) &&  //
         (tip_a.hdl == tip_b.hdl);
}

//    --=^=--

// "So is it true Sempai? Are robowaifus really better than any human woman?"

// rw_foundations_lib.v211127
// Copyright (2021)
// License MIT(Expat) https://opensource.org/licenses/MIT
