//    RW Curly
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/wired/curly.cpp
// -Definitions of the baseline RW Curly sub-library

#include "incls_all.hpp"

namespace rw::wired {

//------------------------------------------------------------------------------
Curly_b::Curly_b() : Curly_b{"curly_b_obj"} {}

//------------------------------------------------------------------------------
Curly_b::Curly_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Curly::Curly() : Curly{"curly_obj"} {}

//------------------------------------------------------------------------------
Curly::Curly(std::string const& handle) : Curly_b{handle} {}

}  // namespace rw::wired

//    --=^=--

// "______"

// rw_wired_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
