//    RW Wired
// ==============
// Networking, RF Signaling, and Digital Communications Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/wired/wired.cpp
// -Definitions of the baseline RW Wired library

#include "incls_all.hpp"

namespace rw::wired {

//------------------------------------------------------------------------------
Wired_b::Wired_b() : Wired_b{"wired_b_obj"} {}

//------------------------------------------------------------------------------
Wired_b::Wired_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Wired::Wired() : Wired{"wired_obj"} {}

//------------------------------------------------------------------------------
Wired::Wired(std::string const& handle) : Wired_b{handle} {}

}  // namespace rw::wired

//    --=^=--

// "______"

// rw_wired_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
